Loading...
Searching...
No Matches
v110_ta_state Struct Reference

## Data Fields

unsigned int | v24_flags
| V.24 status flags shared between DTE (user) and DCE (TA, us)
struct { |
enum v110_ta_d_bit_mode d_bit_mode |
ubit_t s_bits |
ubit_t x_bits |
} | tx |
struct { |
enum v110_ta_d_bit_mode d_bit_mode |
} | rx |

## Field Documentation

## d_bit_mode

enum v110_ta_d_bit_mode v110_ta_state::d_bit_mode

## [struct]

struct { ... } v110_ta_state::rx

## s_bits

ubit_t v110_ta_state::s_bits

## [struct]

struct { ... } v110_ta_state::tx

## v24_flags

unsigned int v110_ta_state::v24_flags

V.24 status flags shared between DTE (user) and DCE (TA, us)

Referenced by osmo_v110_ta_get_circuit(), osmo_v110_ta_get_status(), osmo_v110_ta_set_circuit(), v110_ta_flags_update(), v110_ta_fsm_connect_ta_to_line(), v110_ta_fsm_data_transfer(), v110_ta_fsm_data_transfer_onenter(), v110_ta_fsm_disconnect_onenter(), v110_ta_fsm_idle_ready_onenter(), v110_ta_fsm_resyncing(), and v110_ta_set_status().

## x_bits

ubit_t v110_ta_state::x_bits

The documentation for this struct was generated from the following file:

- src/isdn/v110_ta.c